Subject: Re: [PATCH net-next 2/3] netlink: specs: update rt-rule src/dst attribute types to support IPv4 addresses

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Oct 2025 08:34:46 -0700

On Thu, 30 Oct 2025 06:35:18 +0000 Hangbin Liu wrote:
> > This will be annoying For C / C++, and you didn't set the max len 
> > so I think we'll also have to malloc each time. Do we not support
> > display-hint for scalars?  
> 
> Ah, I didn't notice this. Should we convert all the
> 
>  type: binary
>  display-hint: ipv4
> 
> to
> 
>  type: u32
>  byte-order: big-endian
>  display-hint: ipv4

I think we should try. Technically it may change some kernel policies,
but without min/max-like checks the byte-order should be a nop for the
policy.